# Generated from leap_salesforce-1.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name leap_salesforce

Name: rubygem-%{gem_name}
Version: 1.0.4
Release: 1%{?dist}
Summary: Helps with setting up integrated automated test frameworks against Salesforce
License: MIT
URL: https://gitlab.com/leap-dojo/leap_salesforce
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(semaphore_test_boosters)
# BuildRequires: rubygem(topoisomerase)
# BuildRequires: rubygem(yard-doctest)
BuildArch: noarch

%description
This gem helps ones to perform integration tests on Salesforce.
It reads the Metadata from Salesforce and creates the foundation for API
tests.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/leap_salesforce
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%{gem_instdir}/.idea
%{gem_instdir}/.leap_salesforce.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/PITCHME.md
%{gem_instdir}/PITCHME.yaml
%{gem_instdir}/assets
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/support
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/ChangeLog
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/leap_salesforce.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.4-1
- Initial package
